#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-pep517
Version		:	0.13.0
Release		:	14.4.0.0%{?dist}
Summary		:	Wrappers to build Python packages using PEP 517 hooks
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT and ASL 2.0
URL		:	https://pypi.io/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python-rpm-macros
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-flit-core

%if %{with test}
BuildRequires	:	python-attrs
BuildRequires	:	python-py
BuildRequires	:	python3-iniconfig
BuildRequires	:	python-pep517
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest
BuildRequires	:	python3-setuptools
BuildRequires	:	python3-tomli
BuildRequires	:	python3-testpath
BuildRequires	:	python-wheel
%endif

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
This package contains wrappers around the hooks of
standard API for systems which build Python packages,
specified in PEP 517. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/in_process/*.py
%{python3_sitelib}/%{sname}/in_process/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

# Copied from openSUSE: 
# Remove what appears to be overly cautious flag
# that causes tests to require internet, both here
# and the test suites of any dependencies. Tracking at:
# https://github.com/pypa/pep517/issues/101
sed -i							\
  -e "s/ '--ignore-installed',//"			\
  pep517/envbuild.py

# Don't run the linter as part of tests
sed -i							\
  -e '/--flake8$/d'					\
  pytest.ini
	
sed -i							\
  -e '/pytest-flake8/d'					\
  dev-requirements.txt

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
pytest
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\


#-----------------------------------------------------------------------------
%changelog
